import express from "express";
import { authorizeRoles, isAuthenticatedUser } from "../../middlewares/auth.js";
import {
  createOrder,
  getPlacedOrder,
  getPlacedOrderAdmin,
  getPlacedOrderById,
} from "./pdOrderController.js";

const router = express.Router();

router
  .route("/order-place")
  .post(
    isAuthenticatedUser,
    authorizeRoles("principal-Distributor"),
    createOrder
  );
router
  .route("/get-placed-order-pd")
  .get(
    isAuthenticatedUser,
    authorizeRoles("principal-Distributor"),
    getPlacedOrder
  );
router.route("/get-single-placed-order-pd/:id").get(getPlacedOrderById);
router
  .route("/get-placed-order-admin")
  .get(isAuthenticatedUser, authorizeRoles("admin"), getPlacedOrderAdmin);

export default router;
